Status: Closed Start date: 02/21/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

Subtasks:

Feature # 2029: conversion support for the SIZE phrase Closed

Feature # 2031: conversion support for remaining widget options Closed

Feature # 2032: runtime support for widget options Closed

History

#1 - 10/30/2012 10:16 AM - Greg Shah

Even if one of these options is supported in conversion, make sure the runtime support is implemented/complete.

Add:

EDGE-PIXELS, NO-FILL, GRAPHIC-EDGE, GROUP-BOX, TOOLTIP, AUTO-GO, AUTO-ENDKEY, AUTO-RETURN, DEBLANK, WIDGET-ID,

NO-CONVERT-3D-COLORS, NO-FOCUS, TRANSPARENT, COLUMN-FGCOLOR, COLUMN-BGCOLOR, DISABLED, PASSWORD-FIELD,

FILENAME, BLANK, NO-TAB-STOP

#2 - 10/31/2012 02:51 PM - Greg Shah

- Target version set to Milestone 12

#3 - 02/21/2013 08:13 PM - Greg Shah

For milestone 4, add the SIZE clause to the conversion of widget options as in:

DEFINE BUTTON my-button AUTO-GO LABEL "Hello" SIZE 8 by 62.2 BGCOLOR 6.

DEFINE VARIABLE my-var AS CHARACTER LABEL "Something" 

   VIEW-AS RADIO-SET HORIZONTAL

      RADIO-BUTTONS

         "Thing 1", "Thing One",

         "Thing 2", "Thing Two" 

      SIZE 32 BY 1  NO-UNDO.
#4 - 02/23/2013 06:19 AM - Constantin Asofiei

The full syntax of the size phrase is:

{ SIZE | SIZE-CHARS | SIZE-PIXELS } width BY height

where width/height are decimal for SIZE and SIZE-CHARS and integer for SIZE-PIXELS. Currently, SIZE and SIZE-CHARS convert to

setHeightChars/setWidthChars in the frame definition's setup code. The SIZE-PIXELS clause is not emitted.    

Is there anything else to do on this task ?

#5 - 02/23/2013 10:16 AM - Greg Shah

For milestone 4, that is fine.

#6 - 04/26/2013 09:05 AM - Greg Shah

From what I can tell, this is only in 2 places in the server code and both are in a procedure that can't be called on the server.  So, we don't need to

implement any runtime support for milestone 7.

#7 - 04/30/2015 03:48 PM - Greg Shah

- Status changed from New to Closed

Most of this work got done with the button, rectangle and image widget implementations.  The remaining work will be done as part of #2567.

#8 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
